astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Miscellaneous Input/Output (`astropy.io.misc`) »
- read_table_hdf5

# read_table_hdf5

`astropy.io.misc.hdf5.``read_table_hdf5`(input, path=None)

  Read a Table object from an HDF5 file

  This requires h5py to be installed. If more than one table is present in the HDF5 file or group, the first table is read in and a warning is displayed.

  Parameters:

  input : str or `h5py.highlevel.File` or `h5py.highlevel.Group` or `h5py.highlevel.Dataset`

  > If a string, the filename to read the table from. If an h5py object, either the file or the group object to read the table from.

  path : str

  > The path from which to read the table inside the HDF5 file. This should be relative to the input file or group.